# nv\_Scoreboard

{% hint style="danger" %}
WE DO NOT GIVE SUPPORT TO THIS SCRIPT IN OUR DISCORD
{% endhint %}

## Dependences

Our script only needs ESX installed, and it can work without any more dependences. This will be the code in `server.cfg`:

```
ensure es_extended
ensure nv_Scoreboard
```

## Configuration

### Changing/Adding Lenguages

By default, we have **2 lenguages**: <mark style="color:blue;">**English**</mark>**/**<mark style="color:red;">**Spanish**</mark>. You can add more in `Config.Translations` and change the lenguage in `Config.Locale`:

```lua
Config.Locale = 'new_lenguage'

Config.Translations = {
    ['en'] = {
        ['no_perms'] = 'You have to be admin to execute this command!',
        ['updated_default'] = 'Updated your scoreboard to the default theme!',
        ['saved_custom'] = 'You saved your custom color theme!',
        ['event_uploaded'] = 'Event uploaded successfully!',
        ['event_removed'] = 'Event removed successfully!',
    },
    ['es'] = {
        ['no_perms'] = '¡Debes de ser admin para usar este comando!',
        ['updated_default'] = '¡Has actualizado al tema predeterminado!',
        ['saved_custom'] = '¡Has guardado tu tema!',
        ['event_uploaded'] = '¡Has subido el evento!',
        ['event_removed'] = '¡Has eliminado el evento!',
    },
    ['new_lenguage'] = {
        ['no_perms'] = '¡Some text in a custom lenguage!',
        ['updated_default'] = '¡Some text in a custom lenguage!',
        ['saved_custom'] = '¡Some text in a custom lenguage!',
        ['event_uploaded'] = '¡Some text in a custom lenguage!',
        ['event_removed'] = '¡Some text in a custom lenguage!',
    },
}
```

### Changing UI Lenguage

Main Buttons: `nv_Scoreboard\nui\index.html` LINES 23 --> 26

Configuration Buttons: `nv_Scoreboard\nui\index.html` LINES 42 --> 76

### Changing Notifications

By default this value will use <mark style="color:blue;">**ESX notifications**</mark>, if you want to change them, you only have to export your custom notification in <mark style="color:orange;">**Config.Notification**</mark>, here we will leave some examples:

{% tabs %}
{% tab title="okokNotify" %}

```lua
Config.Notification = function(action)
    exports['okokNotify']:Alert("Title", action, 5000, 'type')
end
```

{% endtab %}

{% tab title="skeexsNotify" %}

```lua
Config.Notification = function(action)
    exports["skeexsNotify"]:TriggerNotification({
        ['type'] = "success",
        ['message'] = action
    })
end
```

{% endtab %}

{% tab title="ataNotification" %}

```lua
Config.Notification = function(action)
    exports['ataNotification']:notification('far fa-check-circle text-success','Your Server Name',"SUCCESS", action, 5000)
end
```

{% endtab %}
{% endtabs %}

### Changing Server Logo

Just go into `nv_Scoreboard\nui\media` and replace <mark style="color:purple;">**logo.png**</mark> with your server logo.

### Adding new Business

At the default state of the script, we pre-configurated 8 business, but If you want to add more business you just have to add more tables in Config.Business, here we will leave some examples:

<pre class="language-lua"><code class="lang-lua">Config.Business = {
<strong>    -- Adding new business
</strong>    ['NEW_BUSINESS'] = { -- The image and name of the business
        Job = 'new_business_job_name', -- The job of the business
        Description = 'new_business_description', -- The description of the business
        Status = { -- This is an example. Status1 and following can have a diferent name
            Status1 = {'Variable 1', 'Variable 2', 'Variable 3', 'Variable ...'},
            Status2 = {'Variable 1', 'Variable 2', 'Variable 3', 'Variable ...'},
            Status3 = {'Variable 1', 'Variable 2', 'Variable 3', 'Variable ...'},
            Status4 = {'Variable 1', 'Variable 2', 'Variable 3', 'Variable ...'},
            Status5 = {'Variable 1', 'Variable 2', 'Variable 3', 'Variable ...'},
            Status6 = {'Variable 1', 'Variable 2', 'Variable 3', 'Variable ...'},
            Status7 = {'Variable 1', 'Variable 2', 'Variable 3', 'Variable ...'},
            Status8 = {'Variable 1', 'Variable 2', 'Variable 3', 'Variable ...'},
        }
    },
}
</code></pre>

## In-Game Commands

{% tabs %}
{% tab title="Uploading Events" %}

```
/nv_events_upload [url] [name]
```

|                                               url                                              |                                                 name                                                |
| :--------------------------------------------------------------------------------------------: | :-------------------------------------------------------------------------------------------------: |
| The URL of the image that you are going to post in **http/https** format or **base64** format. | The name that you are going to asign to the url <mark style="color:orange;">**(IMPORTANT)**</mark>. |
|                                          {% endtab %}                                          |                                                                                                     |

{% tab title="Removing events" %}

```
/nv_events_remove [name]
```

|                                name                               |
| :---------------------------------------------------------------: |
| The **name** of the **image/event** that you are going to remove. |
|                            {% endtab %}                           |

{% tab title="Listing Events" %}

```
/nv_events_list
```

{% hint style="danger" %}
None arguments needed.
{% endhint %}
{% endtab %}
{% endtabs %}

## Giving Command Perms

{% tabs %}
{% tab title="Rockstar" %}

```
add_ace identifier.license:user_data "nv_Scoreboard.admin" allow
```

{% hint style="danger" %}
You have to replace **user\_data** with the admin <mark style="color:yellow;">rockstar</mark> identifier
{% endhint %}
{% endtab %}

{% tab title="Steam" %}

```
add_ace identifier.steam:user_data "nv_Scoreboard.admin" allow
```

{% hint style="danger" %}
You have to replace **user\_data** with the admin <mark style="color:blue;">steam</mark> identifier
{% endhint %}
{% endtab %}

{% tab title="FiveM" %}

```
add_ace identifier.fivem:user_data "nv_Scoreboard.admin" allow
```

{% hint style="danger" %}
You have to replace **user\_data** with the admin <mark style="color:orange;">fivem</mark> identifier
{% endhint %}
{% endtab %}
{% endtabs %}

[Join our Discord](https://discord.com/invite/sERxdnduDM)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nuvilstore.com/assets/nv_scoreboard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
